Bug 388205 - Kickoff Instant Switch on Hover
Summary: Kickoff Instant Switch on Hover
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Launcher (Kickoff) (show other bugs)
Version: master
Platform: Other Linux
: NOR wishlist
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords: usability
Depends on:
Blocks:
 
Reported: 2017-12-24 23:56 UTC by Andres Betts
Modified: 2018-09-05 18:32 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.14


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andres Betts 2017-12-24 23:56:17 UTC
There is a delay on hover to display the items. I feel it is best to make it instant. No delay on mouse hover in Kickoff. When it is not, it gives the impression that there could be something wrong with the system.
Comment 1 Nate Graham 2017-12-26 15:33:47 UTC
+1
Comment 2 David Edmundson 2018-01-25 11:38:28 UTC
I've had this on my system for a while.

I did find myself switching to "computer" as I moved up to select an entry.

Could definitely be reduced though.
Comment 3 David Edmundson 2018-01-25 15:24:39 UTC
FWIW it's currently 250ms

(clickTimer in FullRepresentation.qml)
Comment 4 Nate Graham 2018-02-05 22:34:56 UTC
Yeah, people erroneously see this as a performance problem: https://www.reddit.com/r/linux/comments/7v8frc/kde_this_week_in_usability_productivity_part_4/dtrjvn2/

Regardless of the merits of the feature itself, we might consider changing it just to eliminate that potential source of confusion and frustration. We don't want to make ourselves look bad here.
Comment 5 Nate Graham 2018-03-31 21:26:20 UTC
Submitted a patch for this: https://phabricator.kde.org/D11848
Comment 6 Eike Hein 2018-06-01 18:56:34 UTC
Git commit 62f92fd822efb059a07dd77c93158ecba73d1ced by Eike Hein.
Committed on 01/06/2018 at 18:56.
Pushed by hein into branch 'master'.

Implement a triangle filter for mouse events on the Kickoff tabbar

Summary:
D11848 started out with the aim to remove the delay on Kickoff tab
switching, but this proved contentious because it can cause user
frustration over accidental tab switching when moving from the tab
bar to the list view at angle, grazing another tab.

This patch implements a triangle filter to get the best of both
worlds. When the mouse motion vector is within the triangle from
the vector starting coordinate pair to the relevant tab bar
corners, the original 250ms delay remains in use. When the vector
is outside the triangle, tabs are switched immediately - improving
even over the 50ms delay proposed in D11848.

Care is taken so that tab switching is always immediate when the
tab bar is freshly entered, e.g. moving from the panel to Kickoff.

As a small advantage this removes a MouseArea item from each tab
button.

Reviewers: ngraham, davidedmundson, rkflx, cfeck

Subscribers: plasma-devel

Tags: #plasma

Differential Revision: https://phabricator.kde.org/D13192

M  +131  -10   applets/kickoff/package/contents/ui/FullRepresentation.qml
M  +0    -12   applets/kickoff/package/contents/ui/KickoffButton.qml

https://commits.kde.org/plasma-desktop/62f92fd822efb059a07dd77c93158ecba73d1ced
Comment 7 Matthias 2018-09-05 09:48:43 UTC
This seems not to work here on 18.08.0: 

http://sendvid.com/chxybyml
Comment 8 Nate Graham 2018-09-05 18:32:48 UTC
(In reply to Matthias from comment #7)
> This seems not to work here on 18.08.0: 
> 
> http://sendvid.com/chxybyml

18.08.0 is the version of KDE Applications, not KDE Plasma. I wouldn't expect you to see this in action because it's been fixed in Plasma 5.14.0, which hasn't been released yet. See the "Version Fixed In:" field.